#include "dialog.h"
#include "ui_dialog.h"


Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{   ui->setupUi(this);
    S=new QGraphicsScene(this);
    ui->graphicsView->setScene(S);
    QPen bluePen(Qt::blue);
    bluePen.setWidth(2);
    QBrush redBrush(Qt::red);
    E=S->addEllipse(10,10,100,200,bluePen,redBrush);
    R=S->addRect(-100,30,40,60,bluePen,redBrush);
    QPolygonF poly1;
    poly1 << QPointF(0, -10) << QPointF(40,0)<< QPointF(0,10);
    S->addPolygon(poly1);
    P=S->addPolygon(poly1,bluePen,redBrush);
    x=0;y=0;theta=M_PI/4;vit=1;t=0;dt=0.1;
    R->setFlag(QGraphicsItem::ItemIsMovable);
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::DrawRobot()
{   P->setPos(10*x,-10*y);
    P->setRotation(-theta*180.0/M_PI);
}


void Dialog::on_pushButton_clicked()
{   double u1=1;
    double u2=0;
    t=t+dt;
    x=x+dt*vit*cos(theta);
    y=y+dt*vit*sin(theta);
    theta=theta+dt*u1;
    vit=vit+dt*u2;
    DrawRobot();
}

